<?php

$web_path = '/usr/local/esia/public_html/';
$_SERVER['DOCUMENT_ROOT'] = $web_path;

include_once $web_path.'esia.conf.php';
include_once $web_path.'Model_esia.php';
include_once $web_path.'plugin/egidescan/model_egidescan.php';
//include_once $web_path.'plugin/egidescan/dialog_scan.php';



// if($scan_time)


try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
	exit(3);
}

try
{
	$licegi = Model_esia::getLicenceInformation($dbconnection,'LICENCE_EGIDE');
}
catch (Exception $e)
{
	echo "No licence egide found";
	exit(1);
}

if(!isset($_POST['ip_scanned']))
{
	
	$lastscan_id=Model_egidescan::Lastscan_id($dbconnection) ;
	$config_scan = Model_egidescan::getConfigScan($dbconnection,$lastscan_id);
	$scan_time = $config_scan[0];
	$device_id = $config_scan[1];

	if($scan_time != date('Y-m-d H:i:s'))
	{
		exit();
	}

	
	// echo '<pre>' ;
	// print_r($device_id);
	// echo '</pre>' ;
	
	$list_ids = " " ;
	foreach($device_id as $id)
	{
		$id_node = $id['scan_config_device_id1'];
		$list_ids=$list_ids."$id_node,";
	}
	$nd_id = substr($list_ids, 0, -1);
	//////////////
	
	$scan = "php /usr/local/esia/public_html/plugin/egidescan/dev/script/analyse_scan_output.php --nodes".$nd_id ;
	exec($scan) ;
	$update_data = "php /usr/local/esia/public_html/plugin/egidescan/dev/script/add_all_infos_cve.php" ;
	exec($update_data) ;
	Model_egidescan::updateNextExecution($dbconnection,$lastscan_id);
}
?>