function home_chart_bar(bind,paramColor,x_label,y_label,categories_x,columns_y) {
    var chart = bb.generate({
    bindto: '#'+bind,
    data: {
        columns: [columns_y],
        type: 'bar',
        colors: {
            severity: ["#00c400","#00e020","#00f000","#d1ff00","#ffe000","#ffcc00","#ffbc10","#ff9c20","#ff8000","#ff0000"]
        },
        color: function (color, d) {
            // d will be 'id' when called for legends
            return color[d.index];
        }
    },
    axis: {
          x: {
            label: {
              text: x_label,
              position: 'outer-center',
            },
            type: 'category',
            categories: categories_x,
            tick: {
              centered: true
            }
          },
          y: {
            label: {
              text: y_label,
              position: 'outer-middle'
            },
            min: 0,
            padding: {
              top: 0,
              bottom: 0
            }
          }
        },
        legend: {
          show: false
        }
});
setTimeout(function () {
    chart.load({
    columns: [
        ]
    });
}, 1000);
}


function services_chart_bar(bind,rot=true,x_bar,y_bar,y_label,failles_or_score) {
    let color = [];
    let y_bar_num = y_bar.shift()
    const max = Math.max(...y_bar);

    if (failles_or_score=='failles')
    {
        max_y = max;
        for (var i = 0; i < y_bar.length ; i++)
        {
            if (9*max/10 <= y_bar[i]) {
                color.push('#ff0000');
            }
            else if ((9*max/10 > y_bar[i]) && (y_bar[i] >= 8*max/10)) {
                color.push('#ff8000');
            }
            else if ((8*max/10 > y_bar[i]) && (y_bar[i] >= 7*max/10)) {
                color.push('#ff9c20');
            }
            else if ((7*max/10 > y_bar[i]) && (y_bar[i] >= 6*max/10)) {
                color.push('#ffbc10');
            }
            else if ((6*max/10 > y_bar[i]) && (y_bar[i] >= 5*max/10)) {
                color.push('#ffcc00');
            }
            else if ((5*max/10 > y_bar[i]) && (y_bar[i] >= 4*max/10)) {
                color.push('#ffe000');
            }
            else if ((4*max/10 > y_bar[i]) && (y_bar[i] >= 3*max/10)) {
                color.push('#d1ff00');
            }
            else if ((3*max/10 > y_bar[i]) && (y_bar[i] >= 2*max/10)) {
                color.push('#00f000');
            }
            else if ((2*max/10 > y_bar[i]) && (y_bar[i] >= max/10)) {
                color.push('#00e020');
            }
            else if (max/10 > y_bar[i]) {
                color.push('#00c400');
            }
        }
    }
    else if (failles_or_score=='score')
    {
        max_y = 10;
        for (var i = 0; i < y_bar.length ; i++)
        {
            if (9 <= y_bar[i]) {
                color.push('#ff0000');
            }
            else if ((9 > y_bar[i]) && (y_bar[i] >= 8)) {
                color.push('#ff8000');
            }
            else if ((8 > y_bar[i]) && (y_bar[i] >= 7)) {
                color.push('#ff9c20');
            }
            else if ((7 > y_bar[i]) && (y_bar[i] >= 6)) {
                color.push('#ffbc10');
            }
            else if ((6 > y_bar[i]) && (y_bar[i] >= 5)) {
                color.push('#ffcc00');
            }
            else if ((5 > y_bar[i]) && (y_bar[i] >= 4)) {
                color.push('#ffe000');
            }
            else if ((4 > y_bar[i]) && (y_bar[i] >= 3)) {
                color.push('#d1ff00');
            }
            else if ((3 > y_bar[i]) && (y_bar[i] >= 2)) {
                color.push('#00f000');
            }
            else if ((2 > y_bar[i]) && (y_bar[i] >= 1)) {
                color.push('#00e020');
            }
            else if (1 > y_bar[i]) {
                color.push('#00c400');
            }
        }
    }


    y_bar.unshift(y_bar_num);
var chart = bb.generate({
bindto: '#'+bind,
data: {
    columns: [y_bar],
    type: 'bar',
    colors: {
        Services: color
    },
    color: function (color, d) {
        // d will be 'id' when called for legends
        return color[d.index];
    }
},
size: {
    height: 400,
},
axis: {
      x: {
        label: {
          text: 'Services',
          position: 'outer-center',
        },
        type: 'category',
        categories: x_bar,
        tick: {
          centered: true
        }
      },
      rotated: rot,
      y: {
        label: {
          text: y_label,
          position: 'outer-middle'
        },
        min: 0,
        max: max_y,
        padding: {
          top: 0,
          bottom: 0
        }
      }
    },
    legend: {
      show: false
    }
});
    setTimeout(function () {
        chart.load({
        columns: [
            ]
        });
    }, 1000);
}
