<?php
function generateInParams($pre,$arr,$column,$include=TRUE)
{
    if(empty($arr))
    {
        return array('sql'=>'','param'=>array());
    }
    $params = array();
    $sql = '';

    if( is_array($arr) && count($arr) == 1 )
    {
        $arr = array_shift($arr);
    }

    if( is_array($arr))
    {
        $in_sql = Model_esia::pdo_array_to_SQL($column,$arr,$params);


        if( $include )
        {
            $sql .="$column IN ($in_sql) ";
        }
        else
        {
            $sql .="$column NOT IN ($in_sql) ";
        }
    }
    else
    {
        if( $include )
        {
            $condition = '=';
        }
        else
        {
            $condition = '<>';
        }
        $sql = "$column $condition :$column";
        $params[":$column"] = $arr;
    }
    $sql = "$pre $sql";
    return array('sql'=>$sql,'param'=>$params);
}

//Pour adv_tab_egidescan & dialog_vulnerability
function transformScoresInChartColumn($all_scores)
{
    $classed_severity = array();
    for($i=0;$i<10;$i++)
    {
        $classed_severity[$i]=0;
    }
    foreach($all_scores as $value)
    {
        $domain = $value['domain'];
        if($domain==10)
        {
            $classed_severity[9] = $classed_severity[9] +  $value['number'];
        }
        else
        {
            $classed_severity[$domain] = $classed_severity[$domain] +  $value['number'];
        }
    }
    array_unshift($classed_severity, 'severity');

    $severity_class = array();
    for($i=0;$i<10;$i++)
    {
        $j = $i+1 ;
        $severity_class[$i]="$i - $j";
    }
    return array('x'=>$severity_class,'y'=>$classed_severity);
}
