INSERT INTO dashboard_widget_group VALUES (DEFAULT,'EGIDESCAN',70);

-- dashboard : graphe sévérité et compléxité (bar + donut)
INSERT INTO dashboard_view(view_name, view_file_path, view_during ,view_default_height, view_default_width, view_default_option, view_group_id)
VALUES ('DASHBOARD_EGIDE_SEVERITY', '/dashboard/view_egidescan_severity.php?id=:widgetid',30,100,300, '{"title":{"style":"text-align: center; font-size:15px;color:#575759;"},"description":{"style":"text-align: center; margin:auto;font-size:12px;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin: auto; border-spacing: 10px 10px;"},"td":{"style":"font-size:50px;"},"type":"abr","nodeid":[]}',
(SELECT widget_group_id FROM dashboard_widget_group WHERE widget_group_name='EGIDESCAN'));

-- dashboard : graphe sévérité et compléxité (bar + donut) (partie groupe de noeud)
INSERT INTO dashboard_view(view_name, view_file_path, view_during ,view_default_height, view_default_width, view_default_option, view_group_id)
VALUES ('DASHBOARD_EGIDE_SEVERITY_GN', '/dashboard/view_egidescan_severity.php?id=:widgetid',30,100,300, '{"title":{"style":"text-align: center; font-size:15px;color:#575759;"},"description":{"style":"text-align: center; margin:auto;font-size:12px;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin: auto; border-spacing: 10px 10px;"},"td":{"style":"font-size:50px;"},"type":"abr","groupnodeid":[]}',
(SELECT widget_group_id FROM dashboard_widget_group WHERE widget_group_name='EGIDESCAN'));

-- dashboard : tableau de top noeud (tri en fonction du nombre de failles)
INSERT INTO dashboard_view(view_name, view_file_path, view_during ,view_default_height, view_default_width, view_default_option, view_group_id)
VALUES ('DASHBOARD_EGIDE_NODE_NBR_CVE', '/dashboard/view_egidescan_node.php?id=:widgetid',30,100,300, '{"title":{"style":"text-align: center; font-size:15px;color:#575759;"},"description":{"style":"text-align: center; margin:auto;font-size:12px;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin: auto; border-spacing: 10px 10px;"},"td":{"style":"font-size:50px;"},"affiche_NODE":true,"affiche_TYPE":true,"affiche_SCORING":true,"affiche_MAX_SCORING":true,"affiche_NBR_CVE":true,"nbr_node":10,"score_average_or_max":"score_average","seuil_node":"7.5","seuil_max_node":"9"}',
(SELECT widget_group_id FROM dashboard_widget_group WHERE widget_group_name='EGIDESCAN'));

-- dashboard : tableau de top noeud (tri en fonction de la score moyen)
INSERT INTO dashboard_view(view_name, view_file_path, view_during ,view_default_height, view_default_width, view_default_option, view_group_id)
VALUES ('DASHBOARD_EGIDE_NODE_SCORE', '/dashboard/view_egidescan_node.php?id=:widgetid',30,100,300, '{"title":{"style":"text-align: center; font-size:15px;color:#575759;"},"description":{"style":"text-align: center; margin:auto;font-size:12px;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin: auto; border-spacing: 10px 10px;"},"td":{"style":"font-size:50px;"},"affiche_NODE":true,"affiche_TYPE":true,"affiche_SCORING":true,"affiche_MAX_SCORING":true,"affiche_NBR_CVE":true,"nbr_node":10,"score_average_or_max":"score_average","seuil_node":"7.5","seuil_max_node":"9"}',
(SELECT widget_group_id FROM dashboard_widget_group WHERE widget_group_name='EGIDESCAN'));

-- deshboard : vue bouclier
INSERT INTO dashboard_view(view_id, view_name, view_file_path, view_during, view_default_height, view_default_width, view_default_option, view_group_id)
	VALUES (DEFAULT, 'DASHBOARD_SHIELD', '/dashboard/view_shield.php?id=:widgetid', 30, 100, 300, '{"title":{"style":"text-align: center; font-size:15px; color:#575759;"},"description":{"style":"text-align: center; margin:auto;font-size:12px;"}}', (SELECT widget_group_id FROM dashboard_widget_group WHERE widget_group_name='EGIDESCAN'));