<?php

$path = $_SERVER['DOCUMENT_ROOT'];

include_once $path . '/common.php';

$arr = Model_esia::getWebPlugin($dbconnection, FALSE, 'WEBP_EGIDESCAN');
$plugin_url = $arr[0]['apache_path'];
$smarty->assign('plugin_url', $plugin_url);
$template_path = $path . $plugin_url . 'templates/';
$smarty->assign('template_path', $template_path);

include_once $path . $plugin_url . 'model_egidescan.php';
include_once $path . $plugin_url . 'common_egidescan.php';

$action = '';
if(!empty($_REQUEST['action']))
{
	$action = $_REQUEST['action'];
}

session_write_close();

try
{
	if($action == 'showVul')
	{
		if(empty($_REQUEST['vul_list_id']))
        {
            throw new Exception('Vulnerability name is required');
        }
		$vulListId = $_REQUEST['vul_list_id'];
		$smarty->assign('vulListId', $vulListId);

		$vulInfos = Model_egidescan::getVulInfosById($dbconnection, NULL, $vulListId);
		// Format scoring
		$vulInfos['scoring'] = round($vulInfos['scoring'], 1);
		$vulInfos['scoring_css_class'] = getCSSClassByscore($vulInfos['scoring']);
		$smarty->assign('vulInfos', $vulInfos);
	}
	elseif($action == 'updateIfaceTypeFactor')
	{
		$ifaces_type = Model_egidescan::getEgideIfacesType($dbconnection);

		if(isset($_POST['confirmId']) && $_POST['confirmId'] == 'true')
		{
			/*
			** Validation form sended
			*/

			foreach($ifaces_type as $key => $oldType)
			{
				$typeId = $oldType['id'];
				// If the db value is different from the form data
				if(isset($_POST['ifaces_types_factor'][$typeId]) && $oldType['factor'] !== $_POST['ifaces_types_factor'][$typeId])
				{
					$newFactor = $_POST['ifaces_types_factor'][$typeId];
					// Save the new factor for the form display
					$ifaces_type[$key]['factor'] = $newFactor;
					// Save the new factor in DB
					Model_egidescan::updateEgideIfacesTypeFactor($dbconnection, $newFactor, $typeId, NULL);
				}
			}
			$smarty->assign('success', $lang['EGIDE_UPDATE_IFACES_WEIGHTS_LIST_SUCCESS']);
		}
		/*
		** Display html content
		*/

		$smarty->assign('ifaces_type', $ifaces_type);
	}
}
catch(EsiaDbException | Exception $e)
{
	$smarty->assign('error', $e->getMessage());
}

$smarty->assign('action', $action);

$smarty->display($template_path . 'dialog_egidescan.html');

?>
