<?php
// echo "%%%%%%%%%%%%%%%%%%% ".$_REQUEST['node_id']." %%%%%%%%%%%%%%%%%%%" ;

$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=true;
include_once $path.'common.php';

// Gestion du table sorter
$params = array('filters'=>$_REQUEST['filters'],
	'order'=> $_REQUEST['cols'],
	'size'=>50,
	'paging'=>0);
if (isset($_GET['page']) && ! empty($_GET['page']))
{
	$params['paging'] = $_GET['page'];
}
if (isset($_GET['size']) && ! empty($_GET['size']))
{
	if ($_GET['size'] == 'all')
	{
		$_GET['size'] = 100;
	}
	$params['size'] = $_GET['size'];
}

$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_EGIDESCAN');
$plugin_url = $arr[0]['apache_path'];
include_once $path.'/'.$plugin_url.'/model_ts_egidescan.php';
include_once $path.'/'.$plugin_url.'/common_egidescan.php';

//Gestion des langues du système / utilisateur pour les données traduite.
$lang_abre =LANG;
if($user->getLang()!="")
{
	//configuration de la langue de l'application
	$lang_abre = $user->getLang();
}

if(file_exists($path.'/'.$plugin_url.'/lang/' .$lang_abre.'.php'))
{
	include $path.'/'.$plugin_url.'/lang/' .$lang_abre.'.php';
}

try
{
	if($_GET['action']=='cve' || $_GET['action']=='acq' || $_GET['action']=='services' )
	{
	//	print_R($params);
		$treeview_type = $_GET['treeview'];
		$treeview_nodeid = $_GET['nodeid'];
	//	$treeview_nodelist = getDevicesOfAgentOrGroup($dbconnection,$user,$treeview_type,$treeview_nodeid);

		$mode_id_list = ( isset($_GET['mode']) && $_GET['mode'] == 'idList' );

		if( $_GET['action']=='cve' )
		{
			$data = Model_EgideScan_TableSort::ts_getListCVE($dbconnection,$mode_id_list,$treeview_type,$treeview_nodeid,$user->getId(),$params);
		}
		elseif( $_GET['action']=='acq' )
		{
			$data = Model_EgideScan_TableSort::ts_getListACQ($dbconnection,$mode_id_list,$treeview_type,$treeview_nodeid,$user->getId(),$params);
		}
		elseif( $_GET['action']=='services' )
		{
			$data = Model_EgideScan_TableSort::ts_getListSRV($dbconnection,$mode_id_list,$treeview_type,$treeview_nodeid,$user->getId(),$params);
		}

		if( $mode_id_list )
		{
			$ret = array();
			$key = array_shift(array_keys($data[0]));
			foreach($data as $row)
			{
				$value = str_replace('_','-',$key);
				$value.= '-'.$row[$key];

				$ret[] = $value;
			}
			echo json_encode($ret);
			exit(0);
		}

		$columns = array();
		if( $_GET['action']=='cve' )
		{
			$columns = array(
				0 => '',
				1 => $lang['EGIDE_VULNERABILITY_ID'],
				2 => $lang['EGIDE_VULNERABILITY_PUBLISHING'],
				3 => $lang['EGIDE_VULNERABILITY_DESCRIPION'],
				4 => $lang['EGIDE_VULNERABILITY_SCORING'],
				5 => $lang['EGIDE_VULNERABILITY_SEVERITY'],
				6 => $lang['EGIDE_VULNERABILITY_COMPLEXITY'],
				7 => $lang['EGIDE_VULNERABILITY_MATCH'],
			);

			$arr = array();
			$linkdialog = '<a class="adminTabs" href="'.$plugin_url.'dialog_egidescan.php?action=showVul&vul_list_id=';
			foreach($data['rows'] as $vul)
			{
				$id = $linkdialog.$vul['vul_id'].'" title="' . $vul['vul_id'] . '">'.$vul['vul_id'].'</a>';

				$arr[] = array(
					$columns[0] => makeHtmlCheckBoxString("vul-id-".$vul['id']),
					$columns[1] => $id,
					$columns[2] => $vul['publishing'],
					$columns[3] => $vul['description'],
					$columns[4] => makeHtmlCssScoringString($vul['scoring']),
					$columns[5] => $vul['severity'],
					$columns[6] => $vul['complexity'],
					$columns[7] => $vul['number'],
				);
			}
		}
		elseif( $_GET['action']=='acq' )
		{
			$columns = array(
				0 => '',
				1 => $lang['EGIDE_VULNERABILITY_ID'],
				2 => $lang['EGIDE_NODE'],
				3 => $lang['EGIDE_HISTORY_DIALOG_TABLE_PORT_SERVICE'],
				4 => $lang['EGIDE_ACQ_DATE'],
				5 => $lang['EGIDE_VULNERABILITY_DESCRIPION'],
				6 => $lang['EGIDE_VULNERABILITY_SCORING'],
				7 => $lang['EGIDE_VULNERABILITY_SEVERITY'],
				8 => $lang['EGIDE_VULNERABILITY_COMPLEXITY'],
				9 => $lang['EGIDE_SCANNER_HISTORY_TABLE_STATE'],
			);

			$arr = array();
			foreach($data['rows'] as $acq)
			{
				$checkBoxCell = '';
				if($acq['detect_state'] != 'CLOSED')
				{
					$checkBoxCell = makeHtmlCheckBoxString("vul-id-".$acq['id']);
				}

				$historyStateCell = '';
				if($acq['detect_state'] == 'CLOSED')
				{
					$historyStateCell = "<td class='EventOK'>".$acq['detect_state']."</td>";
				}
				elseif($acq['detect_state'] == 'ACQUIT')
				{
					$historyStateCell = "<td class='EventPending'>".$acq['detect_state']."</td>";
				}

				$arr[] = array(
					$columns[0] => $checkBoxCell,
					$columns[1] => $acq['vul_id'],
					$columns[2] => $acq['device_name'],
					$columns[3] => $acq['service_name'],
					$columns[4] => $acq['acq_date'],
					$columns[5] => $acq['description'],
					$columns[6] => makeHtmlCssScoringString($acq['scoring']),
					$columns[7] => $acq['severity'],
					$columns[8] => $acq['complexity'],
					$columns[9] => $historyStateCell,
				);
			}
		}
		elseif( $_GET['action']=='services' )
		{
			$columns = array(
				0 => '',
				1 => $lang['EGIDE_SERVICES_TABLE_SRV_NAME'],
				2 => $lang['EGIDE_SERVICES_TABLE_DEV_NAME'],
				3 => $lang['EGIDE_SERVICES_TABLE_DEV_TYPE'],
				4 => $lang['EGIDE_SERVICES_TABLE_DEV_ADDR'],
				5 => $lang['EGIDE_SERVICES_TABLE_AVG_SCORE'],
				6 => $lang['EGIDE_SERVICES_TABLE_MAX_SCORE'],
				7 => $lang['EGIDE_SERVICES_TABLE_VUL_TOTAL'],
				8 => $lang['EGIDE_SERVICES_TABLE_SRV_PRODUCT'],
				9 => $lang['EGIDE_SERVICES_TABLE_SRV_VERSION'],
				10 => $lang['EGIDE_SERVICES_TABLE_PORT_NAME'],
				11 => $lang['EGIDE_SERVICES_TABLE_PORT_TYPE'],
			);

			$arr = array();
			$linkdialog = '<a class="adminTabs" href="'.$plugin_url.'/dialog_services.php?action=';
			foreach($data['rows'] as $srv)
			{
				$name = $linkdialog.$srv['srv_id'].'">'.$srv['srv_name'].'</a>';

				$arr[] = array(
					$columns[0] => makeHtmlCheckBoxString("srv-id-".$srv['srv_id']),
					$columns[1] => $name,
					$columns[2] => $srv['dev_name'],
					$columns[3] => $srv['dev_type'],
					$columns[4] => $srv['dev_addr'],
					$columns[5] => makeHtmlCssScoringString($srv['avg_score']),
					$columns[6] => makeHtmlCssScoringString($srv['max_score']),
					$columns[7] => $srv['vul_total'],
					$columns[8] => $srv['srv_product'],
					$columns[9] => $srv['srv_version'],
					$columns[10] => $srv['port_num'],
					$columns[11] => $srv['port_type'],
				);
			}
		}

		$json_array['headers'] = $columns;
		$json_array['rows']=$arr;
		$json_array['total_rows']=$data['total'];
		echo json_encode($json_array);
		exit(0);
	}
	else if($_GET['action']=='adv_cve')
	{
		//	print_R($params);
// 		include_once $path.'/inc/common_node_control.php';
// 		echo $node->getId();
		$nd = $_REQUEST['nodeid'] ;
		$vulnerabilities = Model_EgideScan_TableSort::ts_getListCVEByNode($dbconnection,$user->getId(),$params,$nd);

		$columns = array(
			0 => $lang['EGIDE_VULNERABILITY_ID'],
			1 => $lang['EGIDE_VULNERABILITY_PUBLISHING'],
			2 => $lang['EGIDE_VULNERABILITY_DESCRIPION'],
			3 => $lang['EGIDE_VULNERABILITY_SCORING'],
			4 => $lang['EGIDE_VULNERABILITY_SEVERITY'],
			5 => $lang['EGIDE_VULNERABILITY_COMPLEXITY'],
			6 => $lang['EGIDE_VULNERABILITY_MATCH'],
			7 => $lang['ACTION'],
		);

		$arr = array();
		$linkdialog = '<a class="adminTabs" href="'.$plugin_url.'/dialog_cve.php?action=';
		foreach($vulnerabilities['rows'] as $vul)
		{
			$id = $linkdialog.$vul['id'].'">'.$vul['id'].'</a>';
			//fonction définie dans common_egidescan
			$css = getCSSClassByscore($vul['scoring']);
			$tdscore = '<td class="'.$css.'">'.$vul['scoring'].'</td>';

			$arr[] = array(
				$columns[0] => $id,
				$columns[1] => $vul['publishing'],
				$columns[2] => $vul['description'],
				$columns[3] => $tdscore,
				$columns[4] => $vul['severity'],
				$columns[5] => $vul['complexity'],
				$columns[6] => $vul['number'],
				$columns[7] => '<img src="/theme/default/images/icn_errors_ack.png" class="button">',
			);
		}
		$json_array['headers'] = $columns;
		$json_array['rows']=$arr;
		$json_array['total_rows']=$vulnerabilities['total'];
		echo json_encode($json_array);
		exit(0);
	}
	elseif($_GET['action'] == 'showVul')
	{
		if(empty($_GET['vul_id']) || !is_numeric($_GET['vul_id']))
		{
			throw new Exception("Missing vulnerability DB ID");
		}

		$dbData = Model_EgideScan_TableSort::ts_getVulDetectByVulId($dbconnection, $user->getId(), $_GET['vul_id'], $params);

		// Define table columns
		$columns = array(
			0 => $lang['EGIDE_VUL_DATE_DETECT'],
			1 => $lang['GROUP'],
			2 => $lang['EGIDE_CVE_NODES_TABLE_NODE'],
			3 => $lang['EGIDE_CVE_NODES_TABLE_NODE_IP'],
			4 => $lang['EGIDE_CVE_NODES_TABLE_SERVICE'],
			5 => $lang['EGIDE_CVE_NODES_TABLE_PRODUCT'],
			6 => $lang['EGIDE_CVE_NODES_TABLE_PORT'],
			7 => $lang['EGIDE_CVE_NODES_TABLE_PORT_TYPE'],
			8 => $lang['EGIDE_SCANNER_SCAN_TABLE_AGENT_NAME'],
			9 => $lang['EGIDE_SCANNER_SCAN_TABLE_IFACE'],
			10 => $lang['EGIDE_SCANNER_SCAN_TABLE_TYPE'],
		);

		// Create table rows
		$rows = array();
		foreach($dbData['rows'] as $vul)
		{
			$cellDeviceName = '<td>' .
				'<a href="' . $plugin_url . 'dialog_vulnerability.php?action=' . $vul['device_id'] . '">' .
					$vul['device_name'] .
				'</a>' .
			'</td>';

			$ifTypeStyles = 'style="background-color:' . $vul['if_type_color'] . '; color:#222222 !important;"';

			$rows[] = array(
				$columns[0] => str_replace(' ', '<br/>', $vul['detect_date']),
				$columns[1] => '<td class="cellGroupsList"><p>' . str_replace(',', '</p><p>', $vul['device_groups_list']) . '</p></td>',
				$columns[2] => $cellDeviceName,
				$columns[3] => $vul['device_ip'],
				$columns[4] => $vul['eg_srv_name'],
				$columns[5] => $vul['eg_srv_product'],
				$columns[6] => $vul['eg_srv_port'],
				$columns[7] => $vul['eg_srv_port_type'],
				$columns[8] => $vul['box_name'],
				$columns[9] => '<td class="centerText" ' . $ifTypeStyles . '>' . $vul['if_label'] . '</td>',
				$columns[10] => '<td class="centerText" ' . $ifTypeStyles . '>' . $vul['if_type_name'] . ' (' . $vul['if_type_factor'] . ')' . '</td>',
			);
		}

		echo json_encode(array(
			'headers' => $columns,
			'rows' => $rows,
			'total_rows' => $dbData['total'],
		));
		exit(0);
	}
}
catch (Exception $e)
{
	echo $e->getMessage();
}


function makeHtmlCheckBoxString($name)
{
	$str = "<td class='checkbox'>
				<div class='choixCustom'>
					<input type='checkbox' name='$name' onclick='enableOrDisableCheckButton(this)'/>
				</div>
			</td>";
	return $str;
}

function makeHtmlCssScoringString($score)
{
	$score = round($score,1);
	$css = getCSSClassByscore($score);
	$tdscore = '<td class="'.$css.'">'.$score.'</td>';
	return $tdscore;
}
?>
