-- bloc : tableau de top CVE
INSERT INTO public.report_block_group(report_block_group_name)
SELECT 'EGIDESCAN'
WHERE NOT EXISTS (SELECT * FROM report_block_group WHERE report_block_group_name='EGIDESCAN');

INSERT INTO public.report_block(
	block_id, block_name, block_controller, block_default_parameter, block_group_id)
	VALUES (DEFAULT, 'REPORT_EGIDE', 'egidescan.php','{"title":{"text":"TOP CVE","style":"text-align: left; font-size:14px; color:#575759;"},"description":{"text":"Voici la description sur les top CVE","style":"text-align: left; font-size:12px; color:#575759;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"noeud","affiche_CVE":true,"affiche_MATCHES":false,"affiche_DESCRIPTION":true,"affiche_SCORING":true,"affiche_SEVERITY":true,"affiche_COMPLEXITY":true,"nbr_cve":10,"nodeid":[]}',(SELECT report_block_group_id FROM report_block_group WHERE report_block_group_name='EGIDESCAN'));

-- bloc : tableau de top CVE (partie groupe de noeud)
INSERT INTO public.report_block(
	block_id, block_name, block_controller, block_default_parameter, block_group_id)
	VALUES (DEFAULT, 'REPORT_EGIDE_GROUP_NODE', 'egidescan.php','{"title":{"text":"TOP CVE","style":"text-align: left; font-size:14px; color:#575759;"},"description":{"text":"Voici la description sur les top CVE","style":"text-align: left; font-size:12px; color:#575759;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"groupenoeud","affiche_CVE":true,"affiche_MATCHES":false,"affiche_DESCRIPTION":true,"affiche_SCORING":true,"affiche_SEVERITY":true,"affiche_COMPLEXITY":true,"nbr_cve":10,"groupnodeid":[]}',(SELECT report_block_group_id FROM report_block_group WHERE report_block_group_name='EGIDESCAN'));

-- bloc : graphe sévérité et compléxité (bar + donut)
INSERT INTO public.report_block(
	block_id, block_name, block_controller, block_default_parameter, block_group_id)
	VALUES (DEFAULT, 'REPORT_EGIDE_SEVERITY_BAR', 'egidescan_severity.php','{"title":{"text":"severity","style":"text-align: left; font-size:14px; color:#575759;"},"description":{"text":"Voici la description sur la repartition des severity","style":"text-align: left; font-size:12px; color:#575759;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"noeud","nodeid":[]}',(SELECT report_block_group_id FROM report_block_group WHERE report_block_group_name='EGIDESCAN'));

-- bloc : graphe sévérité et compléxité (bar + donut) (partie groupe de noeud)
INSERT INTO public.report_block(
	block_id, block_name, block_controller, block_default_parameter, block_group_id)
	VALUES (DEFAULT, 'REPORT_EGIDE_SEVERITY_BAR_GROUP_NODE', 'egidescan_severity.php','{"title":{"text":"severity","style":"text-align: left; font-size:14px; color:#575759;"},"description":{"text":"Voici la description sur la repartition des severity","style":"text-align: left; font-size:12px; color:#575759;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"groupenoeud","groupnodeid":[]}',(SELECT report_block_group_id FROM report_block_group WHERE report_block_group_name='EGIDESCAN'));

-- bloc : tableau de top noeud
INSERT INTO public.report_block(
	block_id, block_name, block_controller, block_default_parameter, block_group_id)
	VALUES (DEFAULT, 'REPORT_EGIDE_NODE', 'egidescan_node.php','{"title":{"text":"TOP Node","style":"text-align: left; font-size:14px; color:#575759;"},"description":{"text":"Voici la description sur les top noeuds","style":"text-align: left; font-size:12px; color:#575759;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"affiche_NODE":true,"affiche_TYPE":true,"affiche_SCORING":true,"affiche_MAX_SCORING":true,"affiche_NBR_CVE":true,"nbr_node":10}',(SELECT report_block_group_id FROM report_block_group WHERE report_block_group_name='EGIDESCAN'));

-- bloc : tableau de top noeud
INSERT INTO public.report_block(
	block_id, block_name, block_controller, block_default_parameter, block_group_id)
	VALUES (DEFAULT, 'REPORT_EGIDE_NODE_GROUP_NODE', 'egidescan_node.php','{"title":{"text":"TOP Node","style":"text-align: left; font-size:14px; color:#575759;"},"description":{"text":"Voici la description sur les top noeuds","style":"text-align: left; font-size:12px; color:#575759;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"affiche_NODE":true,"affiche_TYPE":true,"affiche_SCORING":true,"affiche_MAX_SCORING":true,"affiche_NBR_CVE":true,"nbr_node":10,"type":"groupenoeud","groupnodeid":[]}',(SELECT report_block_group_id FROM report_block_group WHERE report_block_group_name='EGIDESCAN'));
